## python3-stdlib-extensions 3.9.2

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,23 @@
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 10), rdfind,
-  lsb-release,
 #  libpython3.7-dev,
 #  libpython3.7-dbg,
 #  python3.7-dev:any,
 #  python3.7-dbg:any,
-  libpython3.8-dev,
-  libpython3.8-dbg,
-  python3.8-dev:any,
-  python3.8-dbg:any,
+#  libpython3.8-dev,
+#  libpython3.8-dbg,
+#  python3.8-dev:any,
+#  python3.8-dbg:any,
   libpython3.9-dev,
   libpython3.9-dbg,
   python3.9-dev:any,
   python3.9-dbg:any,
 #  libpython3.10-dev,
 #  libpython3.10-dbg,
-#  python3.10-dev:any (>= 3.10.0~b1),
+#  python3.10-dev:any,
 #  python3.10-dbg:any,
-  tk-dev, blt-dev (>= 2.4z-9),
-  libgdbm-dev, libgdbm-compat-dev,
+  tk-dev, blt-dev (>= 2.4z-9), libgdbm-dev
 Build-Conflicts: tcl8.4-dev, tk8.4-dev, tcl8.5-dev, tk8.5-dev
 Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/cpython-team/python3-stdlib.git
@@ -45,8 +43,7 @@
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python3:Provides}
 Suggests: python3-gdbm-dbg
-Breaks: ${dbm:Breaks}
-Replaces: ${dbm:Breaks}
+Replaces: python3.0 (<< 3.0.1)
 Description: GNU dbm database support for Python 3.x
  GNU dbm database module for Python 3.x. Install this if you want to
  create or read GNU dbm database files with Python.
@@ -69,8 +66,6 @@
 Priority: optional
 Section: debug
 Depends: ${python3:Depends}, python3-gdbm (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Breaks: ${dbmdbg:Breaks}
-Replaces: ${dbmdbg:Breaks}
 Description: GNU dbm database support for Python 3.x (debug extension)
  GNU dbm database module for Python 3.x. Install this if you want to
  create or read GNU dbm database files with Python.
@@ -84,7 +79,6 @@
 Provides: ${python3:Provides}
 Breaks: libpython3.6-stdlib (<< 3.6.5~rc1-3), libpython3.7-stdlib (<< 3.7.0~b2-2),
   libpython3.8-stdlib (<< 3.8.0~b2-5),
-  libpython3.10-stdlib (<< 3.10.0~b1),
 Replaces: libpython3.6-stdlib (<< 3.6.4~rc1-2), libpython3.7-stdlib (<< 3.7.0~a3-2)
 Description: distutils package for Python 3.x
  Distutils package for Python 3.x.  This package contains the distutils module
@@ -100,7 +94,6 @@
   libpython3.7-stdlib (<< 3.7.0~a3-3),
   python3.6-2to3 (<< 3.6.4-2),
   python3.7-2to3 (<< 3.7.0~a3-3),
-  libpython3.10-stdlib (<< 3.10.0~b1),
 Replaces: libpython3.6-stdlib (<< 3.6.4~rc1-2),
   libpython3.7-stdlib (<< 3.7.0~a3-3),
   python3.6-2to3 (<< 3.6.4-2),
