=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,10 @@
 #rel_ext	= $(strip $(shell dpkg-parsechangelog | awk -F- '/^Version:/ {print $$NF}'))
 
 PYVERS	= $(shell py3versions -vs)
-PYVERS	= 3.9
+PYVERS	= 3.9 3.10
 
-MIN_VER = 3.9.1-0~
-NEXT_VER = 3.10
+MIN_VER = 3.9.2-0~
+NEXT_VER = 3.11
 
 include /usr/share/dpkg/architecture.mk
