## python3-stdlib-extensions 3.9.5

=== debian/changelog ===
python3-stdlib-extensions (3.9.5-0ubuntu3~21.04) hirsute; urgency=medium

  * SRU: LP: #1899159: Backport Python 3.9.5 to 21.04.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 May 2021 10:35:23 +0200
