=== debian/rules ===
--- 
+++ 
@@ -11,13 +11,24 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+distrelease  := $(shell lsb_release -cs)
+
 #rel_ext	= $(strip $(shell dpkg-parsechangelog | awk -F- '/^Version:/ {print $$NF}'))
 
 PYVERS	= $(shell py3versions -vs)
 PYVERS	= 3.9 3.10
 
-MIN_VER = 3.9.2-0~
+MIN_VER = 3.9.4-0~
 NEXT_VER = 3.11
+
+# FIXME: add bullseye when uploading to unstable, after bullseye is released
+ifeq (,$(filter $(distrelase), jessie stretch buster precise trusty xenial bionic focal groovy hirsute))
+  ifneq (,$(filter 3.1% 3.2%, $(PYVERS)))
+    with_dbmmodule = yes
+    dbm_breaks = '-Vdbm:Breaks=libpython3.10-stdlib (<< 3.10.0~b1-2~)'
+    dbmdbg_breaks = '-Vdbmdbg:Breaks=libpython3.10-dbg (<< 3.10.0~b1-2~)'
+  endif
+endif
 
 include /usr/share/dpkg/architecture.mk
 
@@ -93,6 +104,12 @@
 	mkdir -p $(d_gdbm)/usr/lib/python$*/lib-dynload
 	mv $(d_tk)/usr/lib/python$*/lib-dynload/_gdbm*.so \
 		$(d_gdbm)/usr/lib/python$*/lib-dynload/
+ifeq ($(with_dbmmodule),yes)
+	if [ -f $(d_tk)/usr/lib/python$*/lib-dynload/_dbm*.so ]; then \
+	  mv $(d_tk)/usr/lib/python$*/lib-dynload/_dbm*.so \
+		$(d_gdbm)/usr/lib/python$*/lib-dynload/; \
+	fi
+endif
 	rm -rf $(d_tk)/usr/lib/python3
 	cp -r $*/Lib/tkinter $(d_tk)/usr/lib/python$*/.
 	rm -rf $(d_tk)/usr/lib/python$*/tkinter/test
@@ -118,6 +135,12 @@
 	mkdir -p $(d_gdbm)-dbg/usr/lib/python$*/lib-dynload
 	mv $(d_tk)-dbg/usr/lib/python$*/lib-dynload/_gdbm*.so \
 		$(d_gdbm)-dbg/usr/lib/python$*/lib-dynload/
+ifeq ($(with_dbmmodule),yes)
+	if [ -f $(d_tk)-dbg/usr/lib/python$*/lib-dynload/_dbm*.so ]; then \
+	  mv $(d_tk)-dbg/usr/lib/python$*/lib-dynload/_dbm*.so \
+		$(d_gdbm)-dbg/usr/lib/python$*/lib-dynload/; \
+	fi
+endif
 	rm -rf $(d_tk)-dbg/usr/lib/python3
 
 SPACE := $(EMPTY) $(EMPTY)
@@ -187,9 +210,14 @@
 	  > debian/python3-tk.postinst
 	dh_installdeb -a
 	dh_shlibdeps -a
-	dh_gencontrol -a
+	dh_gencontrol -a -- $(dbm_breaks) $(dbmdbg_breaks)
 	dh_md5sums -a
 	dh_builddeb -a
 
 binary: binary-indep binary-arch
+
+update-patches:
+	export QUILT_PATCHES=debian/patches; \
+	while quilt push; do quilt refresh -pab --no-timestamps --no-index; done
+
 .PHONY: build clean binary-indep binary-arch binary install
