## python3-stdlib-extensions 3.9.7

=== debian/changelog ===
python3-stdlib-extensions (3.9.7-1) unstable; urgency=medium

  * Update 3.10 extensions and modules to the 3.9.10 release candidate 1.
  * Update 3.9  extensions and modules to the 3.9.7 release.
  * Update 3.8  extensions and modules to the 3.8.12 release.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Thu, 02 Sep 2021 15:22:20 +0200
