=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
   python3.9-dbg:any,
   libpython3.10-dev,
   libpython3.10-dbg,
-  python3.10-dev:any (>= 3.10.0~b1),
+  python3.10-dev:any (>= 3.10.0~rc1),
   python3.10-dbg:any,
   tk-dev, blt-dev (>= 2.4z-9),
   libgdbm-dev, libgdbm-compat-dev,
@@ -84,7 +84,7 @@
 Provides: ${python3:Provides}
 Breaks: libpython3.6-stdlib (<< 3.6.5~rc1-3), libpython3.7-stdlib (<< 3.7.0~b2-2),
   libpython3.8-stdlib (<< 3.8.0~b2-5),
-  libpython3.10-stdlib (<< 3.10.0~b1),
+  libpython3.10-stdlib (<< 3.10.0~rc1),
 Replaces: libpython3.6-stdlib (<< 3.6.4~rc1-2), libpython3.7-stdlib (<< 3.7.0~a3-2)
 Description: distutils package for Python 3.x
  Distutils package for Python 3.x.  This package contains the distutils module
@@ -100,7 +100,7 @@
   libpython3.7-stdlib (<< 3.7.0~a3-3),
   python3.6-2to3 (<< 3.6.4-2),
   python3.7-2to3 (<< 3.7.0~a3-3),
-  libpython3.10-stdlib (<< 3.10.0~b1),
+  libpython3.10-stdlib (<< 3.10.0~rc1),
 Replaces: libpython3.6-stdlib (<< 3.6.4~rc1-2),
   libpython3.7-stdlib (<< 3.7.0~a3-3),
   python3.6-2to3 (<< 3.6.4-2),
