=== debian/rules ===
--- 
+++ 
@@ -18,15 +18,15 @@
 PYVERS	= $(shell py3versions -vs)
 PYVERS	= 3.9 3.10
 
-MIN_VER = 3.9.4-0~
+MIN_VER = 3.9.2-3~
 NEXT_VER = 3.11
 
 # FIXME: add bullseye when uploading to unstable, after bullseye is released
 ifeq (,$(filter $(distrelase), jessie stretch buster precise trusty xenial bionic focal groovy hirsute))
   ifneq (,$(filter 3.1% 3.2%, $(PYVERS)))
     with_dbmmodule = yes
-    dbm_breaks = '-Vdbm:Breaks=libpython3.10-stdlib (<< 3.10.0~b1-2~)'
-    dbmdbg_breaks = '-Vdbmdbg:Breaks=libpython3.10-dbg (<< 3.10.0~b1-2~)'
+    dbm_breaks = '-Vdbm:Breaks=libpython3.10-stdlib (<< 3.10.0~rc1-1~)'
+    dbmdbg_breaks = '-Vdbmdbg:Breaks=libpython3.10-dbg (<< 3.10.0~rc1-1~)'
   endif
 endif
