## python3-stdlib-extensions 3.10.4

=== debian/changelog ===
python3-stdlib-extensions (3.10.4-0ubuntu1) jammy; urgency=medium

  * Update 3.9 extensions and modules to the 3.9.12 release.
  * Update 3.10 extensions and modules to the 3.10.4 release.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Mar 2022 14:57:53 +0100

python3-stdlib-extensions (3.10.3-0ubuntu3) jammy; urgency=medium

  [ Stefano Rivera ]
  * Change the "include" and "platinclude" paths in the "posix_local"
    scheme to refer to the location of Python's headers, not the install
    location for modules' C headers. Closes: #1007966

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Mar 2022 13:28:41 +0100

python3-stdlib-extensions (3.10.3-0ubuntu2) jammy; urgency=medium

  * Relax dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 07:29:50 +0100

python3-stdlib-extensions (3.10.3-0ubuntu1) jammy; urgency=medium

  * Bump Python version.
  * Stop building for 3.9.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Mar 2022 18:56:26 +0100

python3-stdlib-extensions (3.9.11-1) unstable; urgency=medium

  * Update 3.9 extensions and modules to the 3.9.11 release.
  * Update 3.10 extensions and modules to the 3.10.3 release.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Mar 2022 18:49:40 +0100

python3-stdlib-extensions (3.9.10-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * 3.10: Re-add accidentally dropped /local/ to paths in distutils unix_local
    scheme.
  * Use the same is_virtual_environment() proposed in PEP 668 across the site,
    sysconfig, and distutils modules. Stop checking for PYTHONUSERBASE or
    VIRTUAL_ENV environment variables.

  [ Matthias Klose ]
  * Update python3-lib2to3 package description. Closes: #983431.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Mar 2022 06:23:49 +0100

python3-stdlib-extensions (3.9.10-1) unstable; urgency=medium

  * Update 3.9 extensions and modules to the 3.9.10 release.
  * Update 3.10 extensions and modules to the 3.10.2 release.

 -- Matthias Klose <doko@debian.org>  Mon, 17 Jan 2022 17:23:50 +0100

python3-stdlib-extensions (3.9.9-3) unstable; urgency=medium

  * Update 3.10 extensions and modules to the 3.10.1 release.

 -- Matthias Klose <doko@debian.org>  Tue, 07 Dec 2021 14:43:46 +0100

python3-stdlib-extensions (3.9.9-2) unstable; urgency=medium

  * Fix the 3.10 build.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Nov 2021 14:53:22 +0100

python3-stdlib-extensions (3.9.9-1) unstable; urgency=medium

  * Update 3.9 extensions and modules to the 3.9.9 release.
  * Build again the _dbm extension using libdb-dev.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Nov 2021 07:55:21 +0100

python3-stdlib-extensions (3.9.8-1) unstable; urgency=medium

  * Update 3.10 extensions and modules to the 3.10.0 release.
  * Update 3.9  extensions and modules to the 3.9.8 release.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Nov 2021 14:40:07 +0100

python3-stdlib-extensions (3.10.0~b1-3) experimental; urgency=medium

  * When building 3.10 for releases newer than Debian 11 (bullseye) or
    Ubuntu 21.04 (hirsute), build the _dbm extension using gdbm, and
    include it in the python3-gdbm package.

 -- Matthias Klose <doko@debian.org>  Thu, 06 May 2021 15:07:21 +0200

python3-stdlib-extensions (3.10.0~b1-2) experimental; urgency=medium

  * Relax dependency on python3-defaults.

 -- Matthias Klose <doko@debian.org>  Tue, 04 May 2021 15:53:44 +0200

python3-stdlib-extensions (3.10.0~b1-1) experimental; urgency=medium

  * Update 3.10 extensions and modules to the 3.9.10 beta1 snapshot.
  * Update 3.9  extensions and modules to the 3.9.5 release (no changes).
  * Update 3.8  extensions and modules to the 3.8.10 release (no changes).
  * python3-distutils, python3-lib2to3: Breaks the stdlib (<< 3.10.0~b1).
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Tue, 04 May 2021 12:35:41 +0200

python3-stdlib-extensions (3.10.0~a7-1) experimental; urgency=medium

  * Update 3.10 extensions and modules to the 3.9.10 alpha7 snapshot.
  * Update 3.9  extensions and modules to the 3.9.1 release (no changes).
  * Update 3.8  extensions and modules to the 3.8.7 release (no changes).

 -- Matthias Klose <doko@debian.org>  Tue, 06 Apr 2021 15:13:31 +0200
