=== debian/control ===
--- 
+++ 
@@ -18,12 +18,13 @@
   python3.9-dbg:any,
   libpython3.10-dev,
   libpython3.10-dbg,
-  python3.10-dev:any (>= 3.10.0~rc1),
+  python3.10-dev:any (>= 3.10.1),
   python3.10-dbg:any,
   tk-dev, blt-dev (>= 2.4z-9),
-  libgdbm-dev, libgdbm-compat-dev,
+#  libgdbm-dev, libgdbm-compat-dev,
+  libgdbm-dev, libdb-dev,
 Build-Conflicts: tcl8.4-dev, tk8.4-dev, tcl8.5-dev, tk8.5-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/cpython-team/python3-stdlib.git
 Vcs-Browser: https://salsa.debian.org/cpython-team/python3-stdlib
 
@@ -84,7 +85,7 @@
 Provides: ${python3:Provides}
 Breaks: libpython3.6-stdlib (<< 3.6.5~rc1-3), libpython3.7-stdlib (<< 3.7.0~b2-2),
   libpython3.8-stdlib (<< 3.8.0~b2-5),
-  libpython3.10-stdlib (<< 3.10.0~rc1),
+  libpython3.10-stdlib (<< 3.10.0~b1),
 Replaces: libpython3.6-stdlib (<< 3.6.4~rc1-2), libpython3.7-stdlib (<< 3.7.0~a3-2)
 Description: distutils package for Python 3.x
  Distutils package for Python 3.x.  This package contains the distutils module
@@ -100,7 +101,7 @@
   libpython3.7-stdlib (<< 3.7.0~a3-3),
   python3.6-2to3 (<< 3.6.4-2),
   python3.7-2to3 (<< 3.7.0~a3-3),
-  libpython3.10-stdlib (<< 3.10.0~rc1),
+  libpython3.10-stdlib (<< 3.10.0~b1),
 Replaces: libpython3.6-stdlib (<< 3.6.4~rc1-2),
   libpython3.7-stdlib (<< 3.7.0~a3-3),
   python3.6-2to3 (<< 3.6.4-2),
@@ -110,4 +111,4 @@
  includes an extensive class library with lots of goodies for
  network programming, system administration, sounds and graphics.
  .
- This package contains the lib2to3 library.
+ This package contains the lib2to3 library, a Python2 to Python3 converter.
