## python3-stdlib-extensions 3.10.7

=== debian/changelog ===
python3-stdlib-extensions (3.10.7-1) unstable; urgency=medium

  * Update 3.10 extensions and modules to the 3.10.7 release.
  * Update 3.11 extensions and modules to 3.11.0 rc2.
  * Update 3.9 extensions and modules to the 3.9.14 release.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Sep 2022 18:49:43 +0200

python3-stdlib-extensions (3.10.6-1) unstable; urgency=medium

  * Update 3.10 extensions and modules to the 3.10.6 release.
  * Update 3.11 extensions and modules to 3.11.0 rc1.
  * Remove python3.9 from build dependencies and don't build for 3.9.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Aug 2022 13:25:31 +0200

python3-stdlib-extensions (3.10.5-2) unstable; urgency=medium

  * Update 3.11 extensions and modules to the 3.11.0 beta4. Closes: #1015082.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Jul 2022 12:00:07 +0200

python3-stdlib-extensions (3.10.5-1) unstable; urgency=medium

  * Update 3.9 extensions and modules to the 3.9.13 release.
  * Update 3.10 extensions and modules to the 3.10.5 release.
  * Add extensions for python3.11 3.11.0 beta3.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Jun 2022 13:32:17 +0200

python3-stdlib-extensions (3.9.12-1) unstable; urgency=medium

  * Update 3.9 extensions and modules to the 3.9.11 release.
  * Update 3.10 extensions and modules to the 3.10.3 release.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Mar 2022 14:44:02 +0100

python3-stdlib-extensions (3.9.11-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Change the "include" and "platinclude" paths in the "posix_local"
    scheme to refer to the location of Python's headers, not the install
    location for modules' C headers. Closes: #1007966

 -- Matthias Klose <doko@debian.org>  Thu, 24 Mar 2022 13:20:28 +0100
