=== debian/control ===
--- 
+++ 
@@ -12,14 +12,18 @@
 #  libpython3.8-dbg,
 #  python3.8-dev:any,
 #  python3.8-dbg:any,
-  libpython3.9-dev,
-  libpython3.9-dbg,
-  python3.9-dev:any,
-  python3.9-dbg:any,
+#  libpython3.9-dev,
+#  libpython3.9-dbg,
+#  python3.9-dev:any,
+#  python3.9-dbg:any,
   libpython3.10-dev,
   libpython3.10-dbg,
   python3.10-dev:any (>= 3.10.1),
   python3.10-dbg:any,
+  libpython3.11-dev,
+  libpython3.11-dbg,
+  python3.11-dev:any,
+  python3.11-dbg:any,
   tk-dev, blt-dev (>= 2.4z-9),
 #  libgdbm-dev, libgdbm-compat-dev,
   libgdbm-dev, libdb-dev,
