=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
 #  libgdbm-dev, libgdbm-compat-dev,
   libgdbm-dev, libdb-dev,
 Build-Conflicts: tcl8.4-dev, tk8.4-dev, tcl8.5-dev, tk8.5-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/cpython-team/python3-stdlib.git
 Vcs-Browser: https://salsa.debian.org/cpython-team/python3-stdlib
