## python3-stdlib-extensions 3.11.2

=== debian/changelog ===
python3-stdlib-extensions (3.11.2-3) unstable; urgency=medium

  * Remove 3.10 byte code on upgrade. Closes: #1031909.

 -- Matthias Klose <doko@debian.org>  Tue, 02 May 2023 15:34:18 +0200

python3-stdlib-extensions (3.11.2-2) unstable; urgency=high

  * Relax versioned dependencies.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Feb 2023 12:44:24 +0100

python3-stdlib-extensions (3.11.2-1) unstable; urgency=medium

  * Update 3.11 extensions and modules to 3.11.2 release (Tkinter only).
  * Update 3.10 extensions and modules to the 3.10.10 release (Tkinter only).
  * Stop building extensions for 3.10.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Feb 2023 07:10:29 +0100
