=== debian/control ===
--- 
+++ 
@@ -16,10 +16,10 @@
 #  libpython3.9-dbg,
 #  python3.9-dev:any,
 #  python3.9-dbg:any,
-  libpython3.10-dev,
-  libpython3.10-dbg,
-  python3.10-dev:any (>= 3.10.1),
-  python3.10-dbg:any,
+#  libpython3.10-dev,
+#  libpython3.10-dbg,
+#  python3.10-dev:any (>= 3.10.1),
+#  python3.10-dbg:any,
   libpython3.11-dev,
   libpython3.11-dbg,
   python3.11-dev:any,
@@ -28,7 +28,7 @@
 #  libgdbm-dev, libgdbm-compat-dev,
   libgdbm-dev, libdb-dev,
 Build-Conflicts: tcl8.4-dev, tk8.4-dev, tcl8.5-dev, tk8.5-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/cpython-team/python3-stdlib.git
 Vcs-Browser: https://salsa.debian.org/cpython-team/python3-stdlib
