=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,9 @@
 #rel_ext	= $(strip $(shell dpkg-parsechangelog | awk -F- '/^Version:/ {print $$NF}'))
 
 PYVERS	= $(shell py3versions -vs)
-PYVERS	= 3.10 3.11
-
-MIN_VER = 3.10.5-0~
+PYVERS	= 3.11
+
+MIN_VER = 3.10.8-0~
 NEXT_VER = 3.12
 
 # FIXME: remove sid when uploading to unstable, after bullseye is released
